Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421265 - nova-manage db sync broke between RHOSP 9 => RHOSP 10 update
Summary: nova-manage db sync broke between RHOSP 9 => RHOSP 10 update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z3
: 10.0 (Newton)
Assignee: melanie witt
QA Contact: Gabriel Szasz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 19:09 UTC by David Hill
Modified: 2020-03-11 15:47 UTC (History)
12 users (show)

Fixed In Version: openstack-nova-14.0.4-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 15:22:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1665719 0 None None None 2017-02-17 17:37:06 UTC
OpenStack gerrit 435546 0 None None None 2017-02-17 17:39:35 UTC
OpenStack gerrit 435619 0 None None None 2017-02-28 01:23:40 UTC
OpenStack gerrit 435620 0 None None None 2017-02-28 01:24:09 UTC
Red Hat Product Errata RHSA-2017:1595 0 normal SHIPPED_LIVE Moderate: openstack-nova and python-novaclient security, bug fix, and enhancement update 2017-06-28 18:54:29 UTC

Description David Hill 2017-02-10 19:09:29 UTC
Description of problem:
"openstack undercloud upgrade" broke with the following:
undercloud)$ nova-manage db syncWARNING: cell0 mapping not found - not syncing cell0.error: There are still 33 unmigrated records in the compute_nodes table. Migration cannot continue until all records have been migrated.

We worked around it with the following:
echo "delete from compute_nodes where deleted_at is not null; " | mysql -D nova


Version-Release number of selected component (if applicable):


How reproducible:
This time only

Steps to Reproduce:
1. Update from RHOSP 9 to RHOSP 10 where compute nodes were deleted
2.
3.

Actual results:
Fails

Expected results:
Succeeds

Additional info:

Comment 8 errata-xmlrpc 2017-06-28 15:22:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1595


Note You need to log in before you can comment on or make changes to this bug.